Subject: RE: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Drew Adams <[email-masked]>
Date: Thu, 14 May 2020 16:42:14 -0700 (PDT)

> Maybe instead of boolean better to use a number for the allowed limit
> that should not grow more than this number that means the length of
> switches string that the user can tolerate on the modeline.
> 
> Then modeline will display abbreviation truncated to the specified
> number of characters, with an ellipses, on the assumption that
> the most important switches are at the beginning of the string.
> Customizing it to 0 effectively disables the display of switches.

I suggested a choice, one possibility being a format string.
A format string also lets you truncate.  But sure, another
choice offered could be what you suggest (a simpler way to
specify just truncation).

I made the suggestion in an emacs-devel thread, which hasn't
been referenced so far in this bug thread:

https://lists.gnu.org/archive/html/emacs-devel/2020-05/msg01851.html

https://lists.gnu.org/archive/html/emacs-devel/2020-05/msg01964.html